<div class="wrap">
	<h1><?php _e("Assign Badges from WatuPRO Play for Completed Courses", 'namplay');?></h1>
	
	<p><?php printf(__('This page allows you to reward some of your <a href="%s" target="_blank">badges</a> for completing courses in Namaste! LMS. Note that badges will be assigned when the assigned course is completed - without considering any of the requirements set up in your badges page. If you want to create some badges with the only purpose to be rewarded for completing courses, you can set very high requirements (for example a million points required) for these badges to ensure that they will not be earned by completing quizzes.', 'namplay'), 'admin.php?page=watuproplay_badges');?></p>
	
	<form method="post">
	<table class="widefat">
		<tr><th><?php _e('Course', 'namplay')?></th><th><?php _e('Reward these badges when course is completed', 'namplay')?></th></tr>
		<?php foreach($courses as $course):
			$class = ('alternate' == @$class) ? '' : 'alternate';?>
			<tr class="<?php echo $class?>"><td><?php echo $course->post_title?></td>
			<td><?php foreach($badges as $badge):?>
				<input type="checkbox" name="badges_<?php echo $course->ID?>[]" value="<?php echo $badge->id?>" <?php if(@in_array($badge->id, $course->play_badges)) echo 'checked'?>> <?php echo $badge->name?> &nbsp;
			<?php endforeach;?></td></tr>
		<?php endforeach;?>
	</table>
	<p align="center"><input type="submit" value="<?php _e('Save badge assignments', 'namplay');?>"></p>
	<input type="hidden" name="ok" value="1">
	</form>
	<p>&nbsp;</p>
	<form method="post">
		<p><input type="checkbox" name="transfer_points" value="1" <?php if(get_option('namplay_transfer_points') == '1') echo 'checked'?>> <?php _e('Points earned in Namaste! LMS will be added to the user balance in WatuPRO Play. This will help the user earn badges, levels, or buy rewards.', 'namplay')?> <input type="submit" name="save_transfer_points" value="<?php _e('Save This', 'namplay')?>"></p>
	</form>
</div>